# Out-of-Wallet Final

`POST https://api.agilitycredit.net/v3/precise-id/oow/{session_id}`

Docs page: https://apidocs.agilitycredit.com/api/precise-id-oow-final · Tag: Precise ID

The "Out of Wallet Questions - Final request" endpoint performs identity verification through  knowledge-based questions derived from the applicant's credit history and public records. This service presents multiple-choice questions about the applicant's financial history, previous addresses, loans, or other personal information that only the legitimate person should know.  The workflow includes an initial step that generates questions based on available  data, followed by a final step that evaluates the applicant's answers and  provides scoring results. This "in-wallet" authentication method helps  verify identity by testing knowledge of information typically found in  the applicant's credit file and financial records.

Authentication: `Authorization: Bearer <api key>`.

## Parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `session_id` | path | yes | The session identifier returned from the corresponding initial request. |
| `Idempotency-Key` | header | yes | A unique, idempotent key. We recommend to use a guid |
| `Agc-Tenant-Id` | header | yes | The tenant ID provided by Agility Credit. |
| `Agc-User-Id` | header | yes | The requestor user ID. |
| `Agc-Applicant-Id` | header |  | If passed, will assign the report to that applicant. If not, will create a new applicant ID |

## Request body (`application/json`), required

Inquiry request payload

Variant 1: `PreciseIDKIQFinal`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `answers` | array of object | yes |  |
| `answers[].answer` | string |  |  |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Inquiry processed successfully | one of: PreciseIDResponseKIQFinal |
| 400 | Bad Request | BadRequestResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 403 | Forbidden | UnauthorizedResponse |
| 429 | Too Many Requests | TooManyRequestsResponse |
| 500 | Internal Server Error | AgilityServerErrorResponse |
The 200 body is one of: `PreciseIDResponseKIQFinal`.

### Error bodies

400:

```json
{
  "status": "Bad Request - Invalid Parameters",
  "error": "Failed schema validation. Error: data.pull_type must be one of ['prequal', 'hard'], Path: ['data', 'pull_type'], Data: prequalification"
}
```

401:

```json
{
  "message": "Unauthorized"
}
```

403:

```json
{
  "message": "Unauthorized"
}
```

429:

```json
{
  "error": "Too Many Requests"
}
```

500:

```json
{
  "message": "Agility Server Error"
}
```
